@font-face {
	font-family: Montserrat-Regular;
	src: url('../fonts/Montserrat-Regular.otf');
}

@font-face {
	font-family: Montserrat-Bold;
	src: url('../fonts/Montserrat-Bold.otf');
}

@font-face {
	font-family: Montserrat-Bold-Italic;
	src: url('../fonts/Montserrat-BoldItalic.otf');
}

body {
	font-family: 'Montserrat-Regular';
	font-size: 14px;
	background-color: #020101;
    padding-bottom: 50px;
}

h1 {
  font-size: 50px;
  font-family: 'Montserrat-Bold-Italic';
  color: rgb(255, 255, 255);
  text-shadow: 0px -3px 2px rgb(7 178 243 / 0%), 0 -1px 4px #07b2f3, 0 -2px 10px #07b2f3, 0 -10px 20px #07b2f3, 0 -18px 40px #07b2f3;
    transform: scaleY(1.3); /* 1 = normal */
    transform-origin: center;
}

h2 {
  	font-size: 130px;
  	font-family: 'Montserrat-Bold-Italic';
  	background: linear-gradient(
		180deg,
		#f42fad 0%,
		#5e2048 100%
	);
  	-webkit-background-clip: text;
  	background-clip: text;
  	color: transparent;
  	-webkit-text-stroke: 1px #fff;
  	line-height: 132px;
  	transform: scaleY(1.3); /* 1 = normal */
  	transform-origin: center;
}

h3 {
  	font-size: 130px;
  	font-family: 'Montserrat-Bold-Italic';
  	background: linear-gradient(
        180deg,
        #0068ca 0%,
        #202454 100%
    );
  	-webkit-background-clip: text;
  	background-clip: text;
  	color: transparent;
  	-webkit-text-stroke: 1px #fff;
  	line-height: 133px;
  	transform: scaleY(1.3); /* 1 = normal */
  	transform-origin: center;
}

h4 {
  	font-size: 40px;
  	font-family: 'Montserrat-Bold';
  	color: #fff;
}

h5 {
  	font-size: 30px;
  	font-family: 'Montserrat-Bold';
  	color: #fff;
}

p {
    font-size: 18px;
}

.navbar-brand img {
	padding-top: 50px;;
}

.container-fluid {
    padding: 0 40px;
}

.hero {
	background-image: url(../img/background.jpg);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	padding-top: 20px;
	padding-bottom: 85px;
}

.hero p {
    font-size: 14px;
}

/*==================================
  BUTTON CONTAINER
==================================*/

.cta-group{
    display:flex;
    justify-content:flex-start;
    align-items:center;
    gap:20px;
    flex-wrap:wrap;
}

/*==================================
  BASE BUTTON
==================================*/

.cta-btn{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 420px;
    padding: 8px 40px;
    /* min-width: 420px; */
    text-decoration: none;
    border-radius: 999px;
    border: 2px solid;
    box-shadow: inset 0 2px 0 rgba(255, 255, 255, .35), inset 0 -5px 8px rgba(0, 0, 0, .30), 0 8px 18px rgba(0, 0, 0, .35);
    overflow: hidden;
    transition: all .3s ease;
}

/*==================================
  SHINE EFFECT
==================================*/

.cta-btn::before{
    content:"";
    position:absolute;
    top:0;
    left:-50%;

    width:40%;
    height:100%;

    background:linear-gradient(
        90deg,
        transparent,
        rgba(255,255,255,.45),
        transparent
    );

    transform:skewX(-25deg);
    transition:left .8s ease;
}

.cta-btn:hover::before{
    left:130%;
}

/*==================================
  BUTTON TEXT
==================================*/

.cta-btn span{
    font-family: Montserrat-Bold;
    font-size: 28px;
    font-weight: 900;
    letter-spacing: .06em;
    text-transform: uppercase;
    color: #ffffff;
    text-align: center;
    line-height: 28px;
    padding: 16px 0;
}

/*==================================
  ARROW CIRCLE
==================================*/

.cta-btn i{
    display:flex;
    align-items:center;
    justify-content:center;

    width:48px;
    height:48px;

    flex-shrink:0;

    border-radius:50%;

    font-style:normal;
    font-size:28px;
    font-weight:900;

    border:2px solid rgba(255,255,255,.45);

    box-shadow:
        inset 0 2px 0 rgba(255,255,255,.35),
        inset 0 -3px 5px rgba(0,0,0,.25),
        0 3px 10px rgba(0,0,0,.35);

    transition:all .3s ease;
}

/*==================================
  BLUE BUTTON
==================================*/

.cta-blue{

    background:linear-gradient(
        180deg,
        #0068ca 0%,
        #03062f 100%
    );

    border-color:#9cefff;
}

.cta-blue i{

    background:linear-gradient(
        180deg,
        #74acf9,
        #4a70f2
    );

    color:#ffffff;
}

/*==================================
  PURPLE BUTTON
==================================*/

.cta-purple{

    background:linear-gradient(
        180deg,
        #f42fad 0%,
        #210e1a 100%
    );

    border-color:#efc6ff;
}

.cta-purple i{

    background:linear-gradient(
        180deg,
        #f79ed7,
        #f24eb7
    );

    color:#ffffff;
}

/*==================================
  HOVER
==================================*/

.cta-btn:hover{

    transform:translateY(-4px);

    box-shadow:
        inset 0 2px 0 rgba(255,255,255,.45),
        inset 0 -5px 8px rgba(0,0,0,.35),
        0 14px 28px rgba(0,0,0,.45);
}

.cta-btn:hover i{
    transform:translateX(5px);
}

/*==================================
  ACTIVE
==================================*/

.cta-btn:active{
    transform:translateY(0);
}

/*==================================
  RESPONSIVE
==================================*/

@media (max-width:768px){

    .cta-group{
        grid-template-columns:1fr;
    }

    .cta-btn span{
        font-size:20px;
    }

    .cta-btn i{
        width:42px;
        height:42px;
        font-size:24px;
    }
}

.bonus {
    position: relative;
    width: 100%;
    min-height: clamp(420px, 60vw, 451px);
    background-image: url(../img/bonus-bg.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    overflow: hidden;
}

.bonus-content {
    position: absolute;
    top: 70%;
    left: clamp(20px, 5vw, 28px);
    width: min(90%, 600px);
    padding: 0 10px;
}

.reward {
    position: relative;
    width: 100%;
    min-height: clamp(420px, 60vw, 451px);
    background-image: url(../img/rewards-bg.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    overflow: hidden;
}

.reward-content {
    position: absolute;
    top: 70%;
    left: clamp(20px, 5vw, 28px);
    width: min(90%, 600px);
    padding: 0 10px;
}

.games {
    position: relative;
    width: 100%;
    min-height: clamp(420px, 60vw, 451px);
    background-image: url(../img/games-bg.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    overflow: hidden;
}

.games-content {
    position: absolute;
    top: 70%;
    left: clamp(20px, 5vw, 28px);
    width: min(90%, 600px);
    padding: 0 10px;
}

.support {
    position: relative;
    width: 100%;
    min-height: clamp(420px, 60vw, 451px);
    background-image: url(../img/support-bg.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    overflow: hidden;
}

.support-content {
    position: absolute;
    top: 70%;
    left: clamp(20px, 5vw, 28px);
    width: min(90%, 600px);
    padding: 0 10px;
}

.helpdesk{
    background: url("../img/support-img-bg.jpg") center center / cover no-repeat;
    width:100%;
    aspect-ratio: 1194 / 426;
    display:flex;
    align-items:center;
    justify-content:center;
}

/* Tablet */

@media (max-width:900px){

    .bonus{
        min-height:520px;
        background-position:center;
    }

    .bonus-content{
        left:32px;
        width:calc(100% - 64px);
    }

	.reward{
        min-height:520px;
        background-position:center;
    }

    .reward-content{
        left:32px;
        width:calc(100% - 64px);
    }

	.games{
        min-height:520px;
        background-position:center;
    }

    .games-content{
        left:32px;
        width:calc(100% - 64px);
    }

	.support{
        min-height:520px;
        background-position:center;
    }

    .support-content{
        left:32px;
        width:calc(100% - 64px);
    }
}

/* Mobile */

@media (max-width:600px){

    .bonus{
        min-height:480px;
        background-position:center top;
    }

    .bonus-content{
        top:50%;
        left:20px;

        width:calc(100% - 40px);
        padding-right:0;
    }

	.reward{
        min-height:480px;
        background-position:center top;
    }

    .reward-content{
        top:50%;
        left:20px;

        width:calc(100% - 40px);
        padding-right:0;
    }

	.games{
        min-height:480px;
        background-position:center top;
    }

    .games-content{
        top:50%;
        left:20px;

        width:calc(100% - 40px);
        padding-right:0;
    }

	.support{
        min-height:480px;
        background-position:center top;
    }

    .support-content{
        top:50%;
        left:20px;

        width:calc(100% - 40px);
        padding-right:0;
    }
}

.terms {
	font-size: 12px;
}

dl, ol, ul, p {
	color: #ffffff;
}

footer {
	background-color: #2f084c !important;
	padding: 20px 0;
}

a {
	color: #fb009f;
	text-decoration: none;
	font-family: 'Montserrat-Bold';
}

	a:hover {
		color: #ffffff;
	}

.tile:hover {
	webkit-transform: translatey(0px);
	-webkit-transform: translatey(0px);
	    -ms-transform: translatey(0px);
	        transform: translatey(0px);
	-webkit-animation: float 1s ease-in-out infinite;
	animation: float 1s ease-in-out infinite;
}

@-webkit-keyframes float {
	0% {
		-webkit-transform: translatey(0px);
		transform: translatey(0px);
	}

	50% {
		-webkit-transform: translatey(-10px);
		transform: translatey(-10px);
	}

	100% {
		-webkit-transform: translatey(0px);
		transform: translatey(0px);
	}
}

@keyframes float {
	0% {
		-webkit-transform: translatey(0px);
		transform: translatey(0px);
	}

	50% {
		-webkit-transform: translatey(-10px);
		transform: translatey(-10px);
	}

	100% {
		-webkit-transform: translatey(0px);
		transform: translatey(0px);
	}
}


/********** Media Queries **********/
/********** Laptop **********/
@media (max-width: 1440px) and (orientation: landscape) {
    h2, h3 {
        font-size: 90px;
        line-height: 100px;
    }

    h5 {
        font-size: 24px;
    }

    p {
        font-size: 14px;
    }

    .bonus, .reward, .games, .support {
        min-height: clamp(325px, 60vw, 325px);
    }

    .casino-img {
        max-width: 88%;
    } 
}

/********** Tablet Landscape **********/

@media (max-width: 1366px) and (orientation: landscape) {
    h5 {
        font-size: 20px;
    }

	.bonus, .reward, .games, .support {
        min-height: clamp(310px, 60vw, 310px);
    }

    .pad-right {
        padding-right: 52px;
    }
}

/********** Large Tablet Portrait **********/
@media (max-width: 1024px) and (min-width: 767px) and (orientation: portrait) {
    h1 {
        font-size: 30px;

    }

	h2, h3 {
        font-size: 72px;
        line-height: 72px;
    }

    h5 {
        font-size: 16px;
        margin-bottom: 0;
    }

    .hero {
        padding-bottom: 0;
    }

    .cta-btn {
        width: 250px;
        padding: 8px 16px;
    }

    .cta-btn span {
        font-size: 16px;
        line-height: 16px;
        padding: 2px 0;
    }

    p {
        font-size: 10px;
    }

    .bonus, .reward, .games, .support {
        min-height: clamp(220px, 60vw, 220px);
    }

    .pad-right {
        padding-right: 52px;
    }
}

/********** Tablet Landscape **********/
@media (max-width: 1180px) and (min-width: 768px) and (orientation: landscape) {
	h1 {
        font-size: 30px;
    }

    h2, h3 {
        font-size: 74px;
        line-height: 80px;
    }

    h5 {
        font-size: 14px;
        margin-bottom: 0;
    }

    p {
        font-size: 11px;
    }

    .cta-btn {
        width: 360px;
        padding: 8px 10px;

    }

    .cta-btn span {
        font-size: 26px;
        line-height: 26px;
        padding: 16px 10px;
    }

    .bonus, .reward, .games, .support {
        min-height: clamp(220px, 60vw, 220px);
    }
}

/********** Tablet Portrait **********/
@media (max-width: 820px) and (min-width: 421px) and (orientation: portrait) {
    h4 {
        font-size: 24px;
    }

    h5 {
        font-size: 20px;
    }

    p {
        font-size: 14px;
    }

    .helpdesk p {
        font-size: 9px;
    }

    .hero {
        background-image: url(../img/background-m.jpg);
        background-position: top;
        background-size: contain;
    }

    .info {
        margin-top: 325px;
    }

    .navbar-brand img {
        padding-top: 0;
    }

    .cta-group {
        justify-content: center;
        align-items: center;
    }

    .bonus, .reward, .games, .support {
        min-height: clamp(330px, 60vw, 330px);
        background-size: contain;
    }
}

/********** Mobile Landscape **********/
@media (max-width: 1000px) and (orientation: landscape) {
    p {
        font-size: 14px;
    }

    .hero {
        background-image: url(../img/background-m.jpg);
        background-position: top;
        background-size: contain;
    }

    .info {
        margin-top: 325px;
    }

    .navbar-brand img {
        padding-top: 0;
    }

    .cta-group {
        justify-content: center;
        align-items: center;
    }

    .cta-btn {
        width: 250px;
        padding: 8px 10px;
    }

    .cta-btn span {
        font-size: 16px;
        line-height: 18px;
        padding: 0;
    }

    .bonus, .reward, .games, .support {
        min-height: clamp(300px, 60vw, 300px);
        background-size: contain;
    }
}

/********** Mobile Portrait **********/
@media (max-width: 450px) and (orientation: portrait) {
    h1 {
        font-size: 17px;
    }

    h2, h3 {
        font-size: 34px;
        line-height: 34px;
        -webkit-text-stroke: 0.5px #fff;
    }

    h4 {
        font-size: 18px;
    }

    h5 {
        font-size: 18px;
    }

    p {
        font-size: 12px;
        padding: 0 10px;
    }
    
    .info {
        margin-top: 76px;
    }

    .hero {
        background-image: url(../img/background-m.jpg);
        background-position: top;
        background-size: contain;
    }

    .info {
        margin-top: 140px;
    }

    .navbar-brand img {
        padding-top: 0;
        max-width: 140px;
    }

    .cta-group {
        justify-content: center;
        align-items: center;
    }

    .cta-btn {
        padding: 8px 20px;
    }

    .cta-btn span {
        font-size: 16px;
        line-height: 18px;
        padding: 0;
    }

    .bonus, .reward, .games, .support {
        min-height: clamp(330px, 32vw, 330px);
        background-position: center top;
    }

    .bonus-content, .reward-content, .games-content, .support-content {
        top: 68%;
    }

    .helpdesk {
        min-height: 200px;
    }
}
